<div class="container-fluid">
  <div class="row">
    <div class="col-lg-1"></div>
    <div class="col-lg-2">Science paper:</div>
    <div class="col-lg-6">
      <h5><b>{{task.paperTitle}}</b></h5>
    </div>
    <div class="col-lg-1" style="margin-left: 6%">
      <button type="button" class="btn btn-default" (click)="download()">Download</button>
    </div>
  </div>
  <div class="row" style="margin-top: 1%" *ngIf="authors">
    <div class="col-lg-1"></div>
    <div class="col-lg-2">Papers' authors:</div>
    <div class="col-lg-8">
      <table class="table table-striped table-bordered">
        <thead>
        <tr>
          <th>first name</th>
          <th>last name</th>
          <th>email</th>
          <th>city</th>
          <th>country</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let author of authors.authors">
          <td>{{author.firstName}}</td>
          <td>{{author.lastName}}</td>
          <td>{{author.email}}</td>
          <td>{{author.city}}</td>
          <td>{{author.country}}</td>
        </tr>
        </tbody>
      </table>
    </div>
  </div>
  <div class="row" *ngIf="authors">
    <div class="col-lg-1"></div>
    <div class="col-lg-2">Authors' comment:</div>
    <div class="col-lg-8">
      <input class="form-control" [(ngModel)]="authors.comment" disabled>
    </div>
  </div>
  <div class="row" style="margin-top: 1%" *ngIf="recoms">
    <div class="col-lg-1"></div>
    <div class="col-lg-2">Reviewers's comments:</div>
    <div class="col-lg-8">
      <table class="table table-striped table-bordered" *ngIf="recoms">
        <thead>
        <tr>
          <th>Reviewer</th>
          <th>Recommendation</th>
          <th>Comment</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let rec of recoms">
          <td>{{rec.reviewer}}</td>
          <td>{{rec.recommendation}}</td>
          <td>{{rec.commentEditor}}</td>
        </tr>
        </tbody>
      </table>
    </div>
  </div>
  <div class="row" style="margin-top: 1%">
    <div class="col-lg-1"></div>
    <div class="col-lg-3">Insert duration if minor changes</div>
    <div class="col-lg-7" style="margin-left: 1%">
      <div class="row">
        Seconds: <input class="form-control" [(ngModel)]="seconds" placeholder="S" style="width: 10%; margin-left: 1%; margin-right: 1%;">
        Minutes: <input class="form-control" [(ngModel)]="minutes" placeholder="M" style="width: 10%;  margin-left: 1%; margin-right: 1%;">
        Hours: <input class="form-control" [(ngModel)]="hours" placeholder="H" style="width: 10%;  margin-left: 1%; margin-right: 1%;">
        Days: <input class="form-control" [(ngModel)]="days" placeholder="D" style="width: 10%;  margin-left: 1%; margin-right: 1%;">
        Months: <input class="form-control" [(ngModel)]="months" placeholder="M" style="width: 10%;  margin-left: 1%; margin-right: 1%;">
      </div>
    </div>
  </div>
  <div class="row" style="margin-top: 1%">
    <div class="col-lg-7"></div>
    <div class="col-lg-1" >
      <button type="button" class="btn btn-danger" (click)="declineFinal()">Decline</button>
    </div>
    <div class="col-lg-2" style="margin-left: 2%">
      <button type="button" class="btn btn-default" (click)="changeAgain()">Request changes</button>
    </div>
    <div class="col-lg-1" style="margin-left: -2%">
      <button type="button" class="btn btn-success" (click)="acceptFinal()">Accept</button>
    </div>
  </div>
</div>


<toaster-container [toasterconfig]="toasterConfig"></toaster-container>
